> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/crash-reporting/custom-fingerprinting.md).

# Custom Fingerprinting

API reference for custom crash fingerprinting in Luciq. Group related crashes using custom fingerprinting logic for more accurate crash analysis.

In the event that you'd like to report the exception manually with a custom grouping fingerprint in mind, you can use the below APIs to do so.

{% tabs fullWidth="false" %}
{% tab title="iOS - Swift" %}

<pre class="language-swift"><code class="lang-swift">CrashReporting.reportError(error, withGroupingString: "grouping string")
<strong>CrashReporting.report(exception, withGroupingString: "grouping string")
</strong></code></pre>

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[LCQCrashReporting reportException:exception groupingString:@"grouping string"];
[LCQCrashReporting reportError:error groupingString:@"grouping string"];
```

{% endtab %}

{% tab title="And - Java" %}

```java
CrashReporting.reportException(throwable, "exception identifier", userAttrsMap, "grouping fingerprint");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
CrashReporting.reportException(throwable, "exception identifier", userAttrsMap, "grouping fingerprint")
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.luciq.ai/references/crash-reporting/custom-fingerprinting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
